import React from 'react';
import { FunctionComponent } from 'react';
import { Card, Col, Row, Toast } from 'react-bootstrap';

type ToastProps = {
    title: string,
    content?: string
}

export const FullToast: FunctionComponent<ToastProps> = ({ title, content }) =>
    <Toast>
        <Toast.Header>
            <strong className="mr-auto">{title}</strong>
            <small>10 mins ago</small>
        </Toast.Header>
        <Toast.Body> {content}</Toast.Body>
    </Toast>

export const HeaderToast: FunctionComponent<ToastProps> = ({ title }) =>
    <Toast>
        <Toast.Header>
            <strong className="mr-auto">{title}</strong>
            <small>10 mins ago</small>
        </Toast.Header>
    </Toast>

export default FullToast;